// pages/loginv2/loginv2.js
import JSEncrypt from '../../utils/jsencrypt.min.js'
// 加密
const publicKey = 'MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBANL378k3RiZHWx5AfJqdH9xRNBmD9wGD\n' +
  '2iRe41HdTNF8RUhNnHit5NpMNtGL0NPTSSpPjjI1kJfVorRvaQerUgkCAwEAAQ=='
function encrypt(txt) {
  const encryptor = new JSEncrypt()
  encryptor.setPublicKey(publicKey) // 设置公钥
  return encryptor.encrypt(txt) // 对需要加密的数据进行加密 
}
const app = getApp()
Page({
  data: {
    iconImgUrl: 'http://39.102.232.151:8030/cover/tianhongicon.png',
    enterImgUrl: 'http://39.102.232.151:8030/cover/企业icon.png',
    nameImgUrl: 'http://39.102.232.151:8030/cover/姓名用户名昵称icon.png',
    nickNameImgUrl: 'http://39.102.232.151:8030/cover/座席姓名icon.png',
    wxImgUrl: 'http://39.102.232.151:8030/cover/微信icon.png',
    passwordImgUrl: 'http://39.102.232.151:8030/cover/密码icon.png',
    phoneImgUrl: 'http://39.102.232.151:8030/cover/手机号icon.png',
    validCodeImgUrl: 'http://39.102.232.151:8030/cover/验证码icon.png',
    userName:"",
    name:"",
    phoneNumber:"",
    newPassword:"",
    oldPassword:"",
  },
  userName(event) {
    this.setData({
      userName : event.detail.value
    })
    
  },
  name(event) {
    this.setData({
      name : event.detail.value
    })
  },
  phoneNumber(event) {
    this.setData({
      phoneNumber : event.detail.value
    })
  },
  newPassword(event) {
    this.setData({
      newPassword : event.detail.value
    })
  },
  oldPassword(event) {
    this.setData({
      oldPassword : event.detail.value
    })
  },
  
  submit(event) {
    // 验证
    if (!this.data.userName) {
      wx.showToast({
        title: '请输入用户名',
        icon: 'error'
      })
      return
    }
    if (!this.data.name) {
      wx.showToast({
        title: '请输入姓名',
        icon: 'error'
      })
      return
    }
    // if (!this.data.phoneNumber) {
    //   wx.showToast({
    //     title: '请输入手机号',
    //     icon: 'error'
    //   })
    //   return
    // }
    // if (!new RegExp("\\d{11}").test(this.data.phoneNumber)) {
    //   wx.showToast({
    //     title: '请输入正确的手机号格式',
    //     icon: 'error'
    //   })
    //   return
    // }
    if (this.data.newPassword !== this.data.oldPassword) {
      wx.showToast({
        title: '密码不一致,请重新输入！',
        icon: 'error'
      })
      return
    }
    if ((this.data.newPassword.length<6)||(this.data.oldPassword.length<6)){
      wx.showToast({
        title: '密码必须大于或等于六位',
        icon: 'error'
      })
      return
    }
    // 请求接口
      wx.request({
        url: app.globalData.appBaseUrlV2 + '/api/users/forgetPass' ,
        method: 'POST',
        data: {
          // newPass: this.data.newPassword,
          newPass: encrypt(this.data.newPassword),
          // oldPass:this.data.oldPassword,
          nickname: this.data.name,
          phone:this.data.phoneNumber,
          username:this.data.userName
        },
        success: (res) => {
          console.log(res)
          if (res.statusCode === 200) {
            wx.showToast({
              title: '重置密码成功',
              icon:'success',
              duration: 1000
            })
            wx.navigateTo({
              url: '/pages/loginv2/loginv2',
            })
          } else if (res.statusCode === 400) {
            wx.showToast({
              title: '重置密码失败！',
              icon: 'error',
            })
          }
      }
    }) 
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
 
})